baseURL = "/"
title = "Kaan Barmore-Genç"
languageCode = "en-us"
theme = "catafalque"

PygmentsCodeFences = true
PygmentsStyle = "monokai"

paginate = 20
rssLimit = 60                                                                                                                                                                                                                                                                # Maximum number of items in the RSS feed.
copyright = "Contents are licensed under <a rel='license' href='http://creativecommons.org/licenses/by/4.0/'>CC 4.0</a> unless specified otherwise.<br />Source code for this website is available at <a href='https://gitea.bgenc.net/kaan/bgenc.net'>gitea.bgenc.net</a>."

# googleAnalytics = ""
# disqusShortname = ""

archetypeDir = "archetypes"
contentDir = "content"
dataDir = "data"
layoutDir = "layouts"
publishDir = "public"

buildDrafts = false
buildFuture = false
buildExpired = false
canonifyURLs = true

enableRobotsTXT = true
enableGitInfo = false
enableEmoji = true
enableMissingTranslationPlaceholders = false
disableRSS = false
disableSitemap = false
disable404 = false
disableHugoGeneratorInject = false

[permalinks]
posts = "/:filename/"

[author]
name = "Kaan Barmore-Genç"

[blackfriday]
hrefTargetBlank = true

#[taxonomies]
# tag = "tags"
# category = "categories"
# series = "series"

[params]
dateform = "Jan 2, 2006"
dateformShort = "Jan 2"
dateformNum = "2006-01-02"
dateformNumTime = "2006-01-02 15:04"

# Metadata mostly used in document's head
# 
description = "Website of Kaan Barmore-Genç, and his personal blog"
keywords = ""
images = [""]

# Home subtitle of the index page.
#
homeSubtitle = [
  "Hi! I'm a Software Engineer, an avid Linux user, an enthusiast of many programming languages, a <a href='/recipes'>home cook</a>, and an amateur gardener.",
  "My interests include building web and mobile applications, both front and back end. Over the years I learned and used many programming languages and technologies, including JavaScript, TypeScript, React, React Native, Python, Java, C, C++, Clojure, Rust, and Haskell. Pretty much everything I've worked on is open source and available on <a href='https://github.com/SeriousBug/'>my Github page</a>.",
]

# Set a background for the homepage
# backgroundImage = "assets/images/background.jpg"

# Prefix of link to the git commit detail page. GitInfo must be enabled.
#
# gitUrl = ""

# Set disableReadOtherPosts to true in order to hide the links to other posts.
#
disableReadOtherPosts = false

# Enable theme toggle
# 
# This options enables the theme toggle for the theme. 
# Per default, this option is off. 
# The theme is respecting the prefers-color-scheme of the operating systeme. 
# With this option on, the page user is able to set the scheme he wants. 
enableThemeToggle = true

# Sharing buttons
#
# There are a lot of buttons preconfigured. If you want to change them,
# generate the buttons here: https://sharingbuttons.io
# and add them into your own `layouts/partials/sharing-buttons.html`
#
enableSharingButtons = false

# Global language menu
#
# Enables the global language menu.
#
enableGlobalLanguageMenu = false

# Integrate Javascript files or stylesheets by adding the url to the external assets or by
# linking local files with their path relative to the static folder, e.g. "css/styles.css"
#
customCSS = []
customJS = []

# Toggle this option need to rebuild SCSS, requires extended version of Hugo
#
justifyContent = false # Set "text-align: justify" to .post-content.

# Custom footer 
# If you want, you can easily override the default footer with your own content. 
#
[params.footer]
trademark = false
rss = true
copyright = true
author = false
bottomText = [
  "This website is available at <a href='https://bgenc.net'>bgenc.net</a>, or as an onion service at <a href='http://bgenc2iv62mumkhu2p564vxtao6ha7ihavmzwpetkmazgq6av7zvfwyd.onion/'>bgenc2iv62mumkhu2p564vxtao6ha7ihavmzwpetkmazgq6av7zvfwyd.onion</a> which you can view through the <a href='https://www.torproject.org/download/' target='_blank'>Tor browser</a>.",
]

topText = []
# bottomText = [
#   "Powered by <a href=\"http://gohugo.io\">Hugo</a>",
#   "Made with &#10084; by <a href=\"https://github.com/rhazdon\">Djordje Atlialp</a>",
# ]

# Colors for favicons
#
[params.favicon.color]
mask = "#1b1c1d"
msapplication = "#1b1c1d"
theme = "#1b1c1d"

[params.logo]
logoMark = ">"
logoText = "Kaan Barmore-Genç"
logoHomeLink = "/"
# Set true to remove the logo cursor entirely.
# logoCursorDisabled = false
# Set to a valid CSS color to change the cursor in the logo.
# logoCursorColor    = "#67a2c9"
# Set to a valid CSS time value to change the animation duration, "0s" to disable.
# logoCursorAnimate  = "2s"

# Commento is more than just a comments widget you can embed — 
# it’s a return to the roots of the internet. 
# An internet without the tracking and invasions of privacy. 
# An internet that is simple and lightweight. 
# An internet that is focused on interesting discussions, not ads. 
# A better internet.
# Uncomment this to enable Commento.
#
# [params.commento]
#   url = ""

[params.portrait]
path = "/img/profile.2022.12.jpeg"
pathWebp = "/img/profile.2022.12.webp"
pathAvif = "/img/profile.2022.12.avif"
alt = "A picture of Kaan, wearing a beanie, in front of some shrubbery."
maxWidth = "20rem"

# Social icons
[[params.social]]
name = "email"
url = "mailto:kaan@bgenc.net"
me = true

[[params.social]]
name = "github"
url = "https://github.com/SeriousBug/"
me = true

[[params.social]]
name = "mastodon"
url = "https://fosstodon.org/@kaan"
me = true

[[params.social]]
name = "linkedin"
url = "https://www.linkedin.com/in/kaan-barmore-genc"

[[params.social]]
name = "cv"
title = "CV"
url = "/extra/cv.pdf"

# [languages]
#   [languages.en]
#     subtitle  = "Hello Friend NG Theme"
#     weight    = 1
#     copyright = '<a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank" rel="noopener">CC BY-NC 4.0</a>'

#   [languages.fr]
#     subtitle  = "Hello Friend NG Theme"
#     weight    = 2
#     copyright = '<a href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank" rel="noopener">CC BY-NC 4.0</a>'

[menu]
#[[menu.main]]
#identifier = "about"
#name = "About"
#url = "about/"
[[menu.main]]
identifier = "posts"
name = "Blog"
url = "posts/"

[[menu.main]]
identifier = "portfolio"
name = "Portfolio"
url = "portfolio/"
